Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154364 - Nautilus doesn't keep tree view selection synchronized with list view pane
Summary: Nautilus doesn't keep tree view selection synchronized with list view pane
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-11 07:05 UTC by Stephen Warren
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: nautilus-2.20.0-6.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-11 22:20:12 UTC


Attachments (Terms of Use)

Description Stephen Warren 2005-04-11 07:05:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
When navigating a directory structure in nautilus by double-clicking directories in the main (right-hand) pane, the selection in the left-hand tree pane is not kept synchronized with the directory shown in the right-hand pane. Whilst the left-pane tree structure is expanded to expose the directory of the right-hand pane within an expanded parent, the tree view is not scrolled to ensure that the directory is visible (which could simply be because of the incorrect selection)


Version-Release number of selected component (if applicable):
nautilus-2.8.1-4

How reproducible:
Always

Steps to Reproduce:
1. Double-click "Computer" on the Gnome desktop
2. Use the right-hand/main pane to navigate the directory tree, double-clicking directories to drill down directory by directory. As an example, navigate to the path /mnt/severn_photos/all_pro1/2005. Note that /mnt/severn_photos is a mount-point. This may/may-not be relevant.
  

Actual Results:  Watch the selection in the left hand pane. It should be updated each time you double-click a directory in the right-hand pane, and the right-hand pane changes to a new directory. Instead, the tree selection is often left unchanged (even though an appropriate sub-tree is expanded). Also, the tree should be scrolled to make the right pane's current directory visible

Expected Results:  Often (in all cases in my example path, except for the final 2005 directory), the tree focus is not updated to match the right pane's current directory, nor is the tree scrolled to expose the right pane's current directory.

Additional info:

Comment 1 Stephen Warren 2005-04-11 07:06:13 UTC
I don't know if this is a requisite, but all the directories I navigated to in
the right hand pane were set to "View as List"


Comment 2 Matthew Miller 2006-07-10 20:31:19 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 3 Stephen Warren 2007-11-11 22:20:12 UTC
Closing; N/A in F8 - Gnome seems to have changed the way things work.



Note You need to log in before you can comment on or make changes to this bug.